import { ICoverageLabel, IQuoteRequestCoverageListComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkQuoteRequestCoverageList implements IQuoteRequestCoverageListComponent {
    /**
     * Coverages for quote
     */
    coverages: ICoverageLabel[];
    useExternal: boolean;
    resetState(): void;
    componentWillLoad(): void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
